import { CommonModule } from '@angular/common';
import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IonHeader,IonButton, IonContent, IonIcon, IonItem, IonLabel, IonList, 
  IonListHeader,IonCardHeader,IonCardTitle,IonCardContent, IonTitle,IonCard, IonToolbar,IonInput,IonSearchbar } from '@ionic/angular/standalone';
  import { HttpClient } from '@angular/common/http';
  import { UserService } from '../user.service'; // 确保路径正确
  import { FormsModule } from '@angular/forms'; // 导入 FormsModule


  

@Component({
  selector: 'app-page-psysurvey',
  templateUrl: './page-psysurvey.component.html',
  styleUrls: ['./page-psysurvey.component.scss'],
  standalone: true,
  imports: [IonHeader,IonToolbar,IonTitle,IonContent,
      IonList,IonListHeader,IonItem,IonCardTitle,FormsModule,
      IonLabel,IonIcon,IonButton,IonCardContent,
      IonInput,IonSearchbar,IonCard,IonCardHeader,
      CommonModule
    ]
})
export class PagePsysurveyComponent  implements OnInit {
  surveys: any[] = []; // 存储问卷通知
  filteredSurveys: any[] = []; // 存储过滤后的问卷
  userApartment: string = '' ; // 当前用户的学院

  constructor(private router: Router,private http: HttpClient,private userService: UserService) { }
  goTab1(){
    this.router.navigate(['tabs/tab1']);
   }
   goPublishSurvey(){
    this.router.navigate(['tabs/page-publishsurvey'])
   }

   ngOnInit() {
    // 动态获取当前用户的学院信息
    this.userService.getCurrentUser().subscribe(user => {
      this.userApartment = user.apartment; // 从用户数据中获取学院
      this.getSurveys(); // 在获取到用户信息后获取问卷
    }, error => {
      console.error('获取用户信息时出错:', error);
      // 可以设置一个默认值或处理错误
    });
  }

  getSurveys() {
    this.http.get('https://dev.fmode.cn/parse').subscribe(
      (response: any) => {
        this.surveys = response; // 假设响应是问卷数组
        this.filterSurveys(); // 过滤问卷
      },
      error => {
        console.error('获取问卷时出错:', error);
      }
    );
  }
  filterSurveys() {
    this.filteredSurveys = this.surveys.filter(survey => {
      return survey.audience === this.userApartment || survey.audience === 'all';
    });
  }
  
  
}
